### Function

# Foundry path_expand

#### Declaration [src]

    char*
    foundry_path_expand (
      const char* path
    )

#### Description [src]

This function will expand various “shell-like” features of the provided path using the POSIX wordexp(3) function. Command substitution will not be enabled, but path features such as ~user will be expanded.

#### Parameters

`path`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

A newly allocated string containing the expansion. A copy of the input string upon failure to expand.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.